Bug 561336 - segfault when #include directive is used in cycles
segfault when #include directive is used in cycles
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.4
All Linux
high Severity urgent
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
: Regression
Depends On:
Blocks: 598363
  Show dependency treegraph
 
Reported: 2010-02-03 08:17 EST by Aleš Mareček
Modified: 2010-06-01 04:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 598363 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleš Mareček 2010-02-03 08:17:00 EST
Description of problem:
Sudo segfaults when #include directive is used in cycles.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create new file (for example: /etc/sudoers.local (mode 0440)).
2. Edit this new file and set:
 - user privileges (for example: operator    ALL=(ALL) ALL)
 - #include /etc/sudoers
3. edit /etc/sudoers and set: #include /etc/sudoers.local
4. run command under sudo (for example: sudo)
  
Actual results:
Memory stack is printed and it segfaults.


Expected results:
Warning message expected with no segfault.

Additional info:
Comment 7 Daniel Kopeček 2010-02-09 10:55:36 EST
thread on sudo-workers mailing list:
http://www.sudo.ws/pipermail/sudo-workers/2010-February/000702.html
Comment 12 errata-xmlrpc 2010-03-30 04:16:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0212.html

Note You need to log in before you can comment on or make changes to this bug.